aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetBucket

# Documentation

data GetBucket #

Constructors

GetBucket |

Fields

- gbBucket :: Bucket
- gbDelimiter :: Maybe Text
- gbMarker :: Maybe Text
- gbMaxKeys :: Maybe Int
- gbPrefix :: Maybe Text

#### Instances

Instances details

SignQuery GetBucket # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.GetBucket

Associated Types

type ServiceConfiguration GetBucket |
Instance details Defined in Aws.S3.Commands.GetBucket type ServiceConfiguration GetBucket = S3Configuration

Methods

signQuery :: GetBucket -> ServiceConfiguration GetBucket queryType -> SignatureData -> SignedQuery #

Show GetBucket # |
Instance details Defined in Aws.S3.Commands.GetBucket Methods showsPrec :: Int -> GetBucket -> ShowS # show :: GetBucket -> String # showList :: [GetBucket] -> ShowS #
IteratedTransaction GetBucket GetBucketResponse # |
Instance details Defined in Aws.S3.Commands.GetBucket Methods nextIteratedRequest :: GetBucket -> GetBucketResponse -> Maybe GetBucket #
Transaction GetBucket GetBucketResponse # |
Instance details Defined in Aws.S3.Commands.GetBucket
type ServiceConfiguration GetBucket # |
Instance details Defined in Aws.S3.Commands.GetBucket type ServiceConfiguration GetBucket = S3Configuration

getBucket :: Bucket -> GetBucket #

data GetBucketResponse #

Constructors

GetBucketResponse |

Fields

- gbrName :: Bucket
- gbrDelimiter :: Maybe Text
- gbrMarker :: Maybe Text
- gbrMaxKeys :: Maybe Int
- gbrPrefix :: Maybe Text
- gbrContents :: [ObjectInfo]
- gbrCommonPrefixes :: [Text]
- gbrIsTruncated :: Bool
- gbrNextMarker :: Maybe Text

#### Instances

Instances details

AsMemoryResponse GetBucketResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucket

Associated Types

type MemoryResponse GetBucketResponse |
Instance details Defined in Aws.S3.Commands.GetBucket type MemoryResponse GetBucketResponse = GetBucketResponse

Methods

loadToMemory :: GetBucketResponse -> ResourceT IO (MemoryResponse GetBucketResponse) #

Show GetBucketResponse # |
Instance details Defined in Aws.S3.Commands.GetBucket Methods showsPrec :: Int -> GetBucketResponse -> ShowS # show :: GetBucketResponse -> String # showList :: [GetBucketResponse] -> ShowS #
IteratedTransaction GetBucket GetBucketResponse # |
Instance details Defined in Aws.S3.Commands.GetBucket Methods nextIteratedRequest :: GetBucket -> GetBucketResponse -> Maybe GetBucket #
ListResponse GetBucketResponse ObjectInfo # |
Instance details Defined in Aws.S3.Commands.GetBucket Methods listResponse :: GetBucketResponse -> [ObjectInfo] #
ResponseConsumer r GetBucketResponse # |

Instance details

Defined in Aws.S3.Commands.GetBucket

Associated Types

type ResponseMetadata GetBucketResponse |
Instance details Defined in Aws.S3.Commands.GetBucket type ResponseMetadata GetBucketResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetBucketResponse) -> HTTPResponseConsumer GetBucketResponse #

Transaction GetBucket GetBucketResponse # |
Instance details Defined in Aws.S3.Commands.GetBucket
type MemoryResponse GetBucketResponse # |
Instance details Defined in Aws.S3.Commands.GetBucket type MemoryResponse GetBucketResponse = GetBucketResponse
type ResponseMetadata GetBucketResponse # |
Instance details Defined in Aws.S3.Commands.GetBucket type ResponseMetadata GetBucketResponse = S3Metadata